# API Reference

## Top-Level Exports

* [resourceReducer](/api-reference/resource-reducer.md)
* [getStatus](/api-reference/get-status.md)
* [getResources](/api-reference/get-resources.md)
* [upsertResources](/api-reference/upsert-resources.md)
* [setResourceMeta](/api-reference/set-resource-meta.md)
* [actionTypes](/api-reference/action-types.md)
* [requestStatuses](/api-reference/request-statuses.md)

## Importing

Every function or object described above is a top-level export. You can import any of them like this:

### ES6

```javascript
import { resourceReducer } from 'redux-resource';
```

### ES5 (CommonJS)

```javascript
var resourceReducer = require('redux-resource').resourceReducer;
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://redux-resource.js.org/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
